#
# spec file for package python-sphinx-feature-classification
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-sphinx-feature-classification
Version:        0.3.2
Release:        1.6
Summary:        OpenStack sphinx-feature-classification library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://docs.openstack.org/sphinx-feature-classification/latest/
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx-feature-classification/sphinx-feature-classification-0.3.2.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-ddt
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-testrepository
BuildRequires:  python2-testtools
BuildRequires:  python3-ddt
BuildRequires:  python3-devel
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-testrepository
BuildRequires:  python3-testtools
Requires:       python-docutils
Requires:       python-pbr
BuildArch:      noarch
%python_subpackages

%description
This is a Sphinx directive that allows creating matrices of drivers
a project contains and which features they support.

%package -n python-sphinx-feature-classification-doc
Summary:        Documentation for the OpenStack sphinx-feature-classification library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-sphinx-feature-classification-doc
Documentation for the OpenStack sphinx-feature-classification library.

%prep
%autosetup -p1 -n sphinx-feature-classification-0.3.2
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

PYTHONPATH=. sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%{python_expand rm -rf .testrepository
$python setup.py test
}

%files %{python_files}
%license LICENSE
%{python_sitelib}/sphinx_feature_classification
%{python_sitelib}/*.egg-info

%files -n python-sphinx-feature-classification-doc
%doc doc/build/html README.rst
%license LICENSE

%changelog
